#include <virtuabotixRTC.h>
virtuabotixRTC myRTC(7, 6, 5); //DIGITAL 7 번:CLK, 6 번:DAT, 5 번:RST
void setup()
{ 
// 초기화
Serial.begin(9600); //통신속도 설정
myRTC.setDS1302Time(00, 59, 23, 2, 4, 4, 2016); //초, 분, 시, 요일, 일, 월, 년
} 
void loop()//무한루프
{ 
myRTC.updateTime();
int i = myRTC.dayofweek;
Serial.print("Current Date / Time: ");
Serial.print(myRTC.dayofmonth); // 일
Serial.print("/");
Serial.print(myRTC.month); //월
Serial.print("/");
Serial.print(myRTC.year); //년
Serial.print(" ");
switch (i) //요일
 { 
 case 1: Serial.print(" SUN "); break;
 case 2: Serial.print(" MON "); break;
 case 3: Serial.print(" TUE "); break;
 case 4: Serial.print(" WED "); break;
 case 5: Serial.print(" THU "); break;
 case 6: Serial.print(" FRI "); break;
 case 7: Serial.print(" SAT "); break;
 } 
Serial.print(myRTC.hours); //시
Serial.print(":");
Serial.print(myRTC.minutes); //분
Serial.print(":");
Serial.println(myRTC.seconds); //초
delay(1000); // 1 초간 지연
}